/* sse.c */

#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <fcntl.h>
#define INCL_DOSERRORS
#include <os2.h>

int main (void)
{
  int e1, e2, e3, e4, e5, e6, fd;

  e1 = _syserrno ();
  fd = open ("syserr.nix", O_RDONLY);
  e2 = _syserrno ();
  e3 = _syserrno ();
  e4 = _setsyserrno (42);
  e5 = _syserrno ();
  e6 = _syserrno ();
  if (e1 == 0 && e2 == ERROR_OPEN_FAILED && e3 == 0 && e4 == 0
      && e5 == 42 && e6 == 0)
    return 0;
  printf ("%d %d %d %d %d %d %d\n", e1, e2, e3, e4, e5, e6, fd);
  return 1;
}
